Apache Ant 1.10.6 已发布,可通过 https://ant.apache.org/bindownload.cgi 下载源代码或二进制文件。

Apache Ant 目前维护着两个分支,1.9.x 系列要求 Java 5 以上,而 1.10.x 要求 Java 8 以上。1.9.x 系列主要是修复 bug,1.10.x 会增加新功能,两者都基于 Ant 1.9.7。官方推荐使用 1.10.x,除非在构建过程中需要使用 Java 8 之前的 Java 版本。

1.10.6 版本包含了几个 bug 修复程序和增强功能,包括但不限于:

  • junitlauncher 任务现在支持 fork 模式,可在一个 forked 的 JVM 中启动测试
  • 引入了新的任务 jmod 和 link 来支持 jmod 和 jlink 的 JDK 9+ 工具

详细的更新变化请查看发布公告